# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'bob/compiler/version'

Gem::Specification.new do |spec|
  spec.name          = "bob-compiler"
  spec.version       = Bob::Compiler::VERSION
  spec.authors       = ["Godfrey Chan", "Gabe Scholz"]
  spec.email         = ["godfreykfc@gmail.com", "gabe@brewhouse.io"]
  spec.summary       = "A compiler for Bob templates"
  spec.homepage      = "https://github.com/BrewhouseTeam/bob-compiler"
  spec.license       = "MIT"

  spec.files         = `git ls-files -z`.split("\x0")
  spec.executables   = spec.files.grep(%r{^bin/}) { |f| File.basename(f) }
  spec.test_files    = spec.files.grep(%r{^(test|spec|features)/})
  spec.require_paths = ["lib"]

  spec.add_dependency "nokogiri", "~> 1.6.4"
  spec.add_dependency "activesupport", ">= 3.2.0"

  spec.add_development_dependency "bundler", "~> 1.7"
  spec.add_development_dependency "rake", "~> 10.0"
  spec.add_development_dependency "minitest", "~> 5.4.0"
  spec.add_development_dependency "pry", "~> 0.10.1"
end
