Bob.registerTemplate("simple", {

  doctype: "<!DOCTYPE html>",

  name: "simple",

  layout: function(dom, env) {
    var descriptor = {
      "element": null,
      "editables": [

      ]
    };

    dom.createElement("html");
    dom.appendTextNode("\n");
    dom.createElement("head");
    dom.appendTextNode("\n  ");
    dom.createElement("meta");
    dom.setAttribute("charset", "utf-8");
    dom.appendElement();
    dom.appendTextNode("\n  ");
    dom.createElement("title");
    dom.appendTextNode("Simple");
    dom.appendElement();
    dom.appendTextNode("\n  ");
    dom.createElement("meta");
    dom.setAttribute("name", "viewport");
    dom.setAttribute("content", "width=device-width, initial-scale=1");
    dom.appendElement();
    dom.appendTextNode("\n  ");
    dom.createElement("style");
    dom.setAttribute("type", "text/css");
    dom.appendTextNode("\n    body {\n      background: #eee;\n      color: #999;\n      font-family: Arial, Helvetica, sans-serif;\n    }\n\n    #container {\n      margin: 50px auto;\n      width: 480px;\n      padding: 20px;\n      min-height: 700px;\n      background: #fff;\n    }\n  ");
    dom.appendElement();
    dom.appendTextNode("\n");
    dom.appendElement();
    dom.appendTextNode("\n");
    dom.createElement("body");
    dom.appendTextNode("\n  ");
    dom.createElement("div");
    dom.setAttribute("id", "container");
    dom.appendTextNode("\n    ");
    dom.createElement("h1");
    dom.setAttribute("class", "headline");
    dom.appendTextNode("Hello");
    descriptor.editables.push({
      type: "plaintext",
      name: "plaintext0",
      element: dom.getElement(),
      options: {
        "singleline": true,
      }
    });
    dom.appendElement();
    dom.appendTextNode("\n\n    ");
    dom.createElement("div");
    dom.setAttribute("id", "content");
    descriptor.container = {
      element: dom.getElement()
    };
    dom.appendElement();
    dom.appendTextNode("\n  ");
    dom.appendElement();
    dom.appendTextNode("\n");
    dom.appendElement();
    dom.appendTextNode("\n");

    descriptor.element = dom.getElement();

    return descriptor;
  },

  blocks: {

    "header": function(dom, env) {
      var descriptor = {
        "type": "header",
        "element": null,
        "editables": [

        ]
      };

      dom.createElement("div");
      dom.setAttribute("class", "content-block header");
      dom.appendTextNode("\n        ");
      dom.createElement("h1");
      dom.appendTextNode("Hello");
      descriptor.editables.push({
        type: "plaintext",
        name: "plaintext0",
        element: dom.getElement(),
        options: {
          "singleline": true,
        }
      });
      dom.appendElement();
      dom.appendTextNode("\n      ");

      descriptor.element = dom.getElement();

      return descriptor;
    },

    "text": function(dom, env) {
      var descriptor = {
        "type": "text",
        "element": null,
        "editables": [

        ]
      };

      dom.createElement("div");
      dom.setAttribute("class", "content-block text");
      dom.appendTextNode("\n        Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod\n        tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim\n        veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea\n        commodo consequat. Duis aute irure dolor in reprehenderit in voluptate\n        velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint\n        occaecat cupidatat non proident, sunt in culpa qui officia deserunt\n        mollit anim id est laborum.\n      ");
      descriptor.editables.push({
        type: "html",
        name: "html0",
        element: dom.getElement(),
        options: {
        }
      });

      descriptor.element = dom.getElement();

      return descriptor;
    },

    "image": function(dom, env) {
      var descriptor = {
        "type": "image",
        "element": null,
        "editables": [

        ]
      };

      dom.createElement("div");
      dom.setAttribute("class", "content-block image");
      dom.appendTextNode("\n        ");
      dom.createElement("img");
      dom.setAttribute("src", "http://placehold.it/480x320");
      dom.setAttribute("width", "480");
      dom.setAttribute("height", "320");
      dom.setAttribute("title", "Placeholder Image");
      dom.setAttribute("alt", "Placholder Image");
      descriptor.editables.push({
        type: "image",
        name: "image0",
        element: dom.getElement(),
        options: {
          "width": 480,
          "crop": "fill",
        }
      });
      dom.appendElement();
      dom.appendTextNode("\n      ");

      descriptor.element = dom.getElement();

      return descriptor;
    },

  }

});